curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/posts/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Create a batch of posts
Erstellen Sie einen Batch mit Blogbeiträgen unter Angabe des Inhalts im Anfragetext.
curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/posts/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Wrapper for providing an array of blog posts as inputs.
Die einzugebenden Blogbeiträge.
Show child attributes
Show child attributes
Antwort
successful operation
Response object for batch operations on blog posts.
Abschlusszeit des Batch-Vorgangs.
Ergebnisse des Batch-Vorgangs.
Show child attributes
Show child attributes
Startzeit des Batch-Vorgangs.
Status des Batch-Vorgangs.
CANCELED, COMPLETE, PENDING, PROCESSING Links verknüpft mit dem Batch-Vorgang.
Show child attributes
Show child attributes
Zeit der Anfrage eines Batch-Vorgangs.